> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.callix.dev.br/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.callix.dev.br/_mcp/server.

# Create company

POST https://sua-conta.callix.com.br/api/v1/companies
Content-Type: application/vnd.api+json

Cria uma empresa. `type: "company"`.

**Atributos**

- `name` (string): Nome.
- `legal_code` (string): CNPJ.
- `legal_name` (string): Razão social.
- `integration_code` (string): Código de integração.
(Obrigatoriedade não detalhada na doc viva; todos ordenáveis.)

Reference: https://docs.callix.dev.br/api-reference/companies/post-companies

## Authentication

- `Authorization` header (bearer token, required) — Token de API da conta do tenant.

## Request

### Body (application/vnd.api+json)

This endpoint expects an object.

- `data` (CompaniesPostRequestBodyContentApplicationVndApiJsonSchemaData, required)

## Response

### 201

Empresa criada.

- `data` (CompanyResource, optional)

## Types

### CompaniesPostRequestBodyContentApplicationVndApiJsonSchemaData

- `type` (enum, required)
  - Allowed values: `companies`
- `attributes` (CompanyAttributes, required)

### CompanyResource

- `type` (string, optional)
- `id` (string, optional)
- `attributes` (CompanyAttributes, optional)

### CompanyAttributes

- `name` (string, optional) — Nome
- `legal_code` (string, optional) — CNPJ
- `legal_name` (string, optional) — Razão social
- `integration_code` (string, optional) — Código de integração

## Examples

**Request**

```json
{
  "data": {
    "type": "companies",
    "attributes": {
      "name": "Empresa Callix",
      "legal_code": "88376746000145",
      "legal_name": "Razão teste Callix",
      "integration_code": "17102023"
    }
  }
}
```

**Response**

```json
{
  "data": {
    "type": "companies",
    "id": "1",
    "attributes": {
      "name": "Callix",
      "legal_code": "05371986000120",
      "legal_name": "Callix",
      "integration_code": "codigo"
    }
  }
}
```

**SDK Code**

```python Companies_post_companies_example
import requests

url = "https://sua-conta.callix.com.br/api/v1/companies"

payload = "{\n  \"data\": {\n    \"type\": \"companies\",\n    \"attributes\": {\n      \"name\": \"Empresa Callix\",\n      \"legal_code\": \"88376746000145\",\n      \"legal_name\": \"Razão teste Callix\",\n      \"integration_code\": \"17102023\"\n    }\n  }\n}"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript Companies_post_companies_example
const url = 'https://sua-conta.callix.com.br/api/v1/companies';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
  body: '{\n  "data": {\n    "type": "companies",\n    "attributes": {\n      "name": "Empresa Callix",\n      "legal_code": "88376746000145",\n      "legal_name": "Razão teste Callix",\n      "integration_code": "17102023"\n    }\n  }\n}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Companies_post_companies_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sua-conta.callix.com.br/api/v1/companies"

	payload := strings.NewReader("{\n  \"data\": {\n    \"type\": \"companies\",\n    \"attributes\": {\n      \"name\": \"Empresa Callix\",\n      \"legal_code\": \"88376746000145\",\n      \"legal_name\": \"Razão teste Callix\",\n      \"integration_code\": \"17102023\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/vnd.api+json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Companies_post_companies_example
require 'uri'
require 'net/http'

url = URI("https://sua-conta.callix.com.br/api/v1/companies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n  \"data\": {\n    \"type\": \"companies\",\n    \"attributes\": {\n      \"name\": \"Empresa Callix\",\n      \"legal_code\": \"88376746000145\",\n      \"legal_name\": \"Razão teste Callix\",\n      \"integration_code\": \"17102023\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Companies_post_companies_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sua-conta.callix.com.br/api/v1/companies")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/vnd.api+json")
  .body("{\n  \"data\": {\n    \"type\": \"companies\",\n    \"attributes\": {\n      \"name\": \"Empresa Callix\",\n      \"legal_code\": \"88376746000145\",\n      \"legal_name\": \"Razão teste Callix\",\n      \"integration_code\": \"17102023\"\n    }\n  }\n}")
  .asString();
```

```php Companies_post_companies_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sua-conta.callix.com.br/api/v1/companies', [
  'body' => '{
  "data": {
    "type": "companies",
    "attributes": {
      "name": "Empresa Callix",
      "legal_code": "88376746000145",
      "legal_name": "Razão teste Callix",
      "integration_code": "17102023"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/vnd.api+json',
  ],
]);

echo $response->getBody();
```

```csharp Companies_post_companies_example
using RestSharp;

var client = new RestClient("https://sua-conta.callix.com.br/api/v1/companies");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/vnd.api+json");
request.AddParameter("application/vnd.api+json", "{\n  \"data\": {\n    \"type\": \"companies\",\n    \"attributes\": {\n      \"name\": \"Empresa Callix\",\n      \"legal_code\": \"88376746000145\",\n      \"legal_name\": \"Razão teste Callix\",\n      \"integration_code\": \"17102023\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Companies_post_companies_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/vnd.api+json"
]

let postData = NSData(data: "{
  "data": {
    "type": "companies",
    "attributes": {
      "name": "Empresa Callix",
      "legal_code": "88376746000145",
      "legal_name": "Razão teste Callix",
      "integration_code": "17102023"
    }
  }
}".data(using: String.Encoding.utf8)!)

let request = NSMutableURLRequest(url: NSURL(string: "https://sua-conta.callix.com.br/api/v1/companies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```